package com.mvc.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

public class AppDeviceGroupModel extends ReqPage {
    private Integer id;

    private String groupId;

    private String groupName;

    private String groupType;

    private String userId;

    @DateTimeFormat(pattern = "yyyyMMddHHmmss")
    @JsonFormat(pattern = "yyyyMMddHHmmss", timezone="GMT+8")
    private Date createTime;

    private List<AppDevgroupDetailModel> details;

    private TAireadModel latestAireadModel;

    private String taskRemoteCfgId;//远程配置任务表的TaskId(有值代表有未执行的远程任务)

    private TSetupModel setupModel;//收藏设备对应的最新一条安装记录 2022-11-03 guozhao

    private String startTime;//createTime查询条件(开始时间)

    private String endTime;//createTime查询条件(结束时间)

    private Integer page;//页码

    private Integer rows;//每页条数

    private Integer isTop;//是否置顶(是则更新CreateTime) 2022-11-17 guozhao

    private List<StationAccModel> stationAccList;//明细中对应的台账 2024-10-23 guozhao

    private Integer detailCount;//明细数量(APP显示)

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId == null ? null : groupId.trim();
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName == null ? null : groupName.trim();
    }

    public String getGroupType() {
        return groupType;
    }

    public void setGroupType(String groupType) {
        this.groupType = groupType == null ? null : groupType.trim();
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public List<AppDevgroupDetailModel> getDetails() {
        return details;
    }

    public void setDetails(List<AppDevgroupDetailModel> details) {
        this.details = details;
    }

    public TAireadModel getLatestAireadModel() {
        return latestAireadModel;
    }

    public void setLatestAireadModel(TAireadModel latestAireadModel) {
        this.latestAireadModel = latestAireadModel;
    }

    public String getTaskRemoteCfgId() {
        return taskRemoteCfgId;
    }

    public void setTaskRemoteCfgId(String taskRemoteCfgId) {
        this.taskRemoteCfgId = taskRemoteCfgId;
    }

    public TSetupModel getSetupModel() {
        return setupModel;
    }

    public void setSetupModel(TSetupModel setupModel) {
        this.setupModel = setupModel;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Integer getRows() {
        return rows;
    }

    public void setRows(Integer rows) {
        this.rows = rows;
    }

    public Integer getIsTop() {
        return isTop;
    }

    public void setIsTop(Integer isTop) {
        this.isTop = isTop;
    }

    public List<StationAccModel> getStationAccList() {
        return stationAccList;
    }

    public void setStationAccList(List<StationAccModel> stationAccList) {
        this.stationAccList = stationAccList;
    }

    public Integer getDetailCount() {
        return detailCount;
    }

    public void setDetailCount(Integer detailCount) {
        this.detailCount = detailCount;
    }
}
